=== debian/changelog ===
python-casmoothing (0.1-2) unstable; urgency=low

  * debian/control:
     - cme fix dpkg-control
     - canonical Vcs URLs
     - Drop explicit Depends libvtk5.8 to enable automatic depencency
       detection via ${shlibs:Depends}
       Closes: #708255
  * cme fix dpkg-copyright

 -- Andreas Tille <tille@debian.org>  Sat, 07 Dec 2013 09:34:34 +0100

python-casmoothing (0.1-1) unstable; urgency=low

  * Initial release (Closes: #693963)

 -- Thiago Franco de Moraes <tfmoraes@cti.gov.br>  Thu, 22 Nov 2012 13:23:00 +0100
