=== debian/control ===
Source: python-casmoothing
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Thiago Franco de Moraes <tfmoraes@cti.gov.br>,
           Andreas Tille <tille@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake,
               swig,
               python-dev,
               python-vtk,
               libvtk5-dev
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/python-casmoothing/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/python-casmoothing/trunk/
Homepage: https://github.com/tfmoraes/python-casmoothing
X-Python-Version: >= 2.7

Package: python-casmoothing
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         python-vtk
Description: Context-aware mesh smoothing for biomedical applications
 Smoothing algorithms allow to reduce artifacts from mesh generation, but often
 degrade accuracy. The method described in the paper "Context-aware mesh
 smoothing for biomedical applications" identifies staircase artifacts which
 result from image inhomogeneities and binary segmentation in medical image
 data for subsequent removal by adaptive mesh smoothing. Thus, context-aware
 smoothing enables to adaptively smooth artifact areas, while non-artifact
 features can be preserved. This is a implementation of this method in Cpp
 with Python bindings.
