=== debian/changelog ===
python-casmoothing (0.2-2) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * debhelper 10
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Wed, 29 Nov 2017 10:55:56 +0100

python-casmoothing (0.2-1) unstable; urgency=low

  [ Thiago Franco de Moraes ]
  * New upstream version supporting VTK6

  [ Andreas Tille ]
  * debian/rules: use xz compression for repackaged upstream source
  * fix spelling error in long description

 -- Thiago Franco de Moraes <tfmoraes@cti.gov.br>  Tue, 25 Aug 2015 09:45:07 -0300
