=== debian/control ===
Source: python-casmoothing
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Thiago Franco de Moraes <tfmoraes@cti.gov.br>,
           Andreas Tille <tille@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-python,
               cmake,
               swig,
               python-dev,
               python-vtk6,
               libvtk6-dev
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-casmoothing.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/python-casmoothing.git
Homepage: https://github.com/tfmoraes/python-casmoothing
X-Python-Version: >= 2.7

Package: python-casmoothing
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         python-vtk6
Description: Context-aware mesh smoothing for biomedical applications
 Smoothing algorithms allow one to reduce artifacts from mesh generation,
 but often degrade accuracy. The method described in the paper "Context-
 aware mesh smoothing for biomedical applications" identifies staircase
 artifacts which result from image inhomogeneities and binary
 segmentation in medical image data for subsequent removal by adaptive
 mesh smoothing. Thus, context-aware smoothing enables to adaptively
 smooth artifact areas, while non-artifact features can be preserved.
 This is a implementation of this method in Cpp with Python bindings.
