=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python2

get-orig-source:
	mkdir -p ../tarballs
	uscan --verbose --force-download --repack --compress xz --destdir=../tarballs
